Page MenuHomePhabricator

Spike: Internal Test Express Checkout in Japan to prove feasability of method
Closed, ResolvedPublic0 Story Points

Description

We need to run a real-world test at the earliest opportunity, in which our partners in Japan make test donations through our prototype Express Checkout integration. There's a moderate risk that the documentation is incorrect, and we will still not be able to fundraise in Japan, so we should work towards proving this is safe as a early milestone.

Event Timeline

awight raised the priority of this task from Normal to High.Apr 4 2016, 8:45 PM
awight created this task.
awight renamed this task from Spike: Test Express Checkout in Japan to prove feasability of method to Spike: Internal Test Express Checkout in Japan to prove feasability of method.May 4 2016, 10:05 PM

Update on the TY bug I mentioned in email: These contributions actually *will* be imported into Civi by the listener, so the donors are recorded and will get a thank you letter. Tech will still get a fail mail when the DI message is rejected.

We're creating a situation that'll be annoying to clean up as these test transactions come in. I'm not sure how to distinguish between the gateways after the fact, other than log scraping.

awight closed this task as Resolved.Jun 21 2016, 10:26 PM
awight claimed this task.

Inconclusive. The basic functionality worked, but we encountered an incompletely explained credit card funds error which might indicate that the JPY rails still don't work for us. We'll need higher volume to test.

mmodell removed a subscriber: awight.Jun 22 2017, 9:50 PM